import Vue from 'vue'
import App from './App'
//import MyCommon from '@/components/Common.vue'
//import CarLoading from '@/components/Loading.vue'
import  getOpenId from './utils/init.js'
getOpenId.init()

import  mixin from './utils/mixin.js'

Vue.config.ignoredElements.push("wx-open-subscribe") ;
Vue.prototype.carhelp=mixin

import Vconsole from 'vconsole'
 //import './router' // 引入路由
import router from './bobo-router'


// main.js
import uView from "uview-ui";
Vue.use(uView);

Vue.config.productionTip = false
App.mpType = 'app'

const app = new Vue({

    ...App
})
//Vue.component('my-common',MyCommon)
//Vue.component('car-loading',CarLoading)
//Vue.use(mixin)
Vue.mixin({ 
    onLoad( option){  
        if (option.test == 'test') {
        	let vConsole = new Vconsole()
        }
		
    } ,methods:{
	
		gotoUrl(url){
			uni.navigateTo({
				url:"/"+url
			})
		}
	}
})


app.$mount()
